require '/data_importer/lib/oval_parser.rb'

class OracleLinuxOvalImporter
  attr_accessor :url, :filepath
  def initialize
    @url = 'https://linux.oracle.com/security/oval/com.oracle.elsa-all.xml.bz2'
    @filepath = '/data_importer/data/oracle_oval.xml.bz2'
  end

  def get_file
    if File.exist? filepath
      puts "#{filepath} exists"
    else 
      `wget -O #{filepath} #{url}`
    end
  end

  def decompress_bz2
    Bzip2::FFI::Reader.read(filepath)
  end

  def xml_doc
    get_file
    xml = decompress_bz2
    OvalParser.new(xml).doc
  end

end